For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

Update Thread

PATCH
https://sandbox.api.boosted.ai/v2/threads/:thread_id
PATCH
/v2/threads/:thread_id
$curl -X PATCH https://sandbox.api.boosted.ai/v2/threads/thread_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string"
>}'
1{
2 "success": true
3}

Update a thread’s properties.

This endpoint updates properties of an existing thread, such as its name. The endpoint returns the success status of the operation.

Was this page helpful?
Previous

List Messages

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Path parameters

thread_idstringRequired

Request

This endpoint expects an object.
namestringRequired
The new name of the thread

Response

Successful Response
successboolean

Errors

422
Unprocessable Entity Error